use std::path::Path;

use radicle_ci_broker::msg::{Oid, RepoId};

use radicle_native_ci::runlog::RunLog;

/// The main program.
fn main() {
    let mut run_log = RunLog::new(Path::new("testlog.html"));
    run_log.title("Some Title");
    run_log.rid(RepoId::from_urn("rad:z3qg5TKmN83afz2fj9z3fQjU8vaYE").expect("rid"));
    run_log.commit(Oid::try_from("b788f7ffd38572614457adb1656c0b4575b941dd").expect("commit"));
    run_log.runcmd(
        &["git", "pull"],
        Path::new("/tmp"),
        0,
        "This is stdout".as_bytes(),
        "Error messages go here".as_bytes(),
    );

    run_log.write().expect("write html log");
}
